Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome 2.22.0
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3 ... 11, 12, 13  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
node@are-b.org
n00b
n00b


Joined: 20 Apr 2005
Posts: 44

PostPosted: Mon Mar 17, 2008 2:02 pm    Post subject: Gnome 2.22.0 Reply with quote

Hi, is there any place where I could get a status update on the latest gnome stable? I'd didn't see a package at all in the portage tree for it, so I couldn't test it or anything. Any development overlay that does some initial testing on it?

Thanks

stuck - mark_alec 9/05/08
Unstuck. -- desultory
Back to top
View user's profile Send private message
CooSee
Guru
Guru


Joined: 20 Nov 2004
Posts: 414
Location: Berlin

PostPosted: Mon Mar 17, 2008 2:24 pm    Post subject: Re: Gnome 2.22.0 Reply with quote

node@are-b.org wrote:
Hi, is there any place where I could get a status update on the latest gnome stable? I'd didn't see a package at all in the portage tree for it, so I couldn't test it or anything. Any development overlay that does some initial testing on it?

Thanks


you can try git overlay ' layman -a gnome ' :!:

but its unstable and not supported :!:


CooSee ' Ya
Back to top
View user's profile Send private message
node@are-b.org
n00b
n00b


Joined: 20 Apr 2005
Posts: 44

PostPosted: Mon Mar 17, 2008 3:14 pm    Post subject: Reply with quote

If i can drop my bugs somewhere, I'm a happy tester. :)

Edit: I didn't get it to work initially, got some errors about eclasses, looks like it was masked by 'the big gnome 2.22 mask' that didn't show. like duh.
Back to top
View user's profile Send private message
mengzhao
n00b
n00b


Joined: 18 Mar 2004
Posts: 13

PostPosted: Sun Mar 23, 2008 4:44 pm    Post subject: GNOME 2.22 is in portage Reply with quote

use autounmask and emerge :)
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Sun Mar 23, 2008 4:54 pm    Post subject: Re: GNOME 2.22 is in portage Reply with quote

mengzhao wrote:
use autounmask and emerge :)


and what to autounmask?
gnome-2.22 is not in portage yet
Back to top
View user's profile Send private message
Kobboi
l33t
l33t


Joined: 29 Jul 2005
Posts: 655
Location: Belgium

PostPosted: Sun Mar 23, 2008 7:41 pm    Post subject: Reply with quote

Take a look at the gnome overlay...
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Sun Mar 23, 2008 8:08 pm    Post subject: Reply with quote

Kobboi wrote:
Take a look at the gnome overlay...

I am using gnome 2.22 from gnome overlay .. :D but when it will be in the portage I will get rid of the overlay
Back to top
View user's profile Send private message
ddecock
n00b
n00b


Joined: 25 Jan 2005
Posts: 9

PostPosted: Tue Mar 25, 2008 7:57 am    Post subject: Gnome 2.22 gone from the overlay ? Reply with quote

CosminG wrote:
Kobboi wrote:
Take a look at the gnome overlay...

I am using gnome 2.22 from gnome overlay .. :D but when it will be in the portage I will get rid of the overlay


I can find gnome-base/gnome-2.22 in the overlay. Has it been removed ?
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4158
Location: Removed by Neddy

PostPosted: Tue Mar 25, 2008 8:04 am    Post subject: Reply with quote

funny how gnome takes ages to even make it into the tree in a masked state YET kde (kde4 highlights this the most) was virtually ready on kde4.0.0 release...
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
praka123
Apprentice
Apprentice


Joined: 19 Jan 2006
Posts: 181
Location: Kerala,India

PostPosted: Tue Mar 25, 2008 11:02 am    Post subject: Reply with quote

well,I am going to install Gentoo via livedvd i686 installer-Will someone make sure Gnome-2.22 reached the main repos? :D
_________________
Linux Rocks!Grab it Yaara!
spread the Linux message!add this to ur siggY- http://getgnulinux.org
http://linux.oneandoneis2.org/LNW.htm
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Tue Mar 25, 2008 12:08 pm    Post subject: Re: Gnome 2.22 gone from the overlay ? Reply with quote

ddecock wrote:
CosminG wrote:
Kobboi wrote:
Take a look at the gnome overlay...

I am using gnome 2.22 from gnome overlay .. :D but when it will be in the portage I will get rid of the overlay


I can find gnome-base/gnome-2.22 in the overlay. Has it been removed ?


the package gnome-base/gnome-2.22 is not there, and it wasn't

just unmask the packages and emerge -avDu world
Back to top
View user's profile Send private message
pazz
Apprentice
Apprentice


Joined: 01 Dec 2002
Posts: 283

PostPosted: Tue Mar 25, 2008 3:45 pm    Post subject: Reply with quote

doesn't work for me:

Code:
er hal ipv6 -apm -debug -doc* -test" 6,762 kB
[ebuild  N    ] dev-libs/libgweather-2.22.0  USE="-debug" 2,721 kB
[ebuild     U ] gnome-base/gnome-panel-2.22.0 [2.20.3] USE="-debug -doc* -eds -networkmanager%" 3,192 kB
[ebuild     U ] gnome-base/control-center-2.22.0 [2.20.3] USE="alsa esd hal -debug -eds" 2,126 kB [0=>1]
[ebuild  N    ] gnome-base/gnome-settings-daemon-2.22.0  USE="alsa esd gstreamer -debug" 1,165 kB
[ebuild     U ] gnome-base/gnome-session-2.22.0 [2.20.3] USE="ipv6 tcpd -branding -debug (-esd%*)" 761 kB
[blocks B     ] <gnome-base/control-center-2.22 (is blocking gnome-base/gnome-settings-daemon-2.22.0)
[blocks B     ] app-text/ghostscript-esp (is blocking app-text/ghostscript-gpl-8.62)
[blocks B     ] dev-util/gtk-doc-am (is blocking dev-util/gtk-doc-1.8-r2)
[blocks B     ] <gnome-base/gnome-applets-2.22.0 (is blocking dev-libs/libgweather-2.22.0)
[blocks B     ] app-text/ghostscript-gpl (is blocking app-text/ghostscript-esp-8.15.4-r1)


both gnome-base/control-center-2.22 and gnome-settings-daemon-2.22.0 are not installed...
thx,
pazz
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Tue Mar 25, 2008 5:51 pm    Post subject: Reply with quote

try to remove (emerge -C ) packages that are bloking and emerge -av1 --nodeps [package that is bloked and required by gnome 2.22]

this will fix the blocking after you cand emerge -avDu world

at least I did so.

PS: if you are on stable you may need to add some packages to packages.keywords


Last edited by CosminG on Tue Mar 25, 2008 5:56 pm; edited 1 time in total
Back to top
View user's profile Send private message
mengzhao
n00b
n00b


Joined: 18 Mar 2004
Posts: 13

PostPosted: Tue Mar 25, 2008 5:56 pm    Post subject: Reply with quote

Code:

autounmask gnome-base/gnome-session-2.22.0
Back to top
View user's profile Send private message
pizzach
Apprentice
Apprentice


Joined: 28 Aug 2006
Posts: 195

PostPosted: Tue Mar 25, 2008 8:27 pm    Post subject: Reply with quote

mengzhao wrote:
Code:

autounmask gnome-base/gnome-session-2.22.0


Does autounmask unmask specific versions of packages, or does it unmask everything that comes down the pipeline? It would be nice to slowly slip into stable again with minimal fuss if I used it...
Back to top
View user's profile Send private message
mengzhao
n00b
n00b


Joined: 18 Mar 2004
Posts: 13

PostPosted: Wed Mar 26, 2008 4:04 am    Post subject: Reply with quote

As of today, all gnome-2.22.0 packages are actually in portage except control-center. I just look at the old gnome ebuild and emerge each package manually. (you have to use --nodeps sometime)

I am happy that the new gnome vfs handles i18n filenames properly for network protocols ftp://, ssh:// and smb://, as well as GB18030 encoded file names on USB drives. Kde4 failed to do these correctly.

So far, gnome-2.22.0 is the only DE that can do i18n properly.
Back to top
View user's profile Send private message
pazz
Apprentice
Apprentice


Joined: 01 Dec 2002
Posts: 283

PostPosted: Wed Mar 26, 2008 8:07 am    Post subject: Reply with quote

@CosminG: as i said, none of these mutually exclusive packages is installed so far..
what do you mean by "you may need to add some packages to packages.keywords" in this particular case?

@mengzhao: nope, didn't change a thing.

I just updated my portage, and tried merging the packaged by hand:

since i want both gnome-applets-2.22.0 and libgweather-2.22.0 installed, i run into some trouble here:
from:/usr/portage/dev-libs/libgweather/libgweather-2.22.0.ebuild:
Code:
    !<gnome-base/gnome-applets-2.22.0"


same problem with gnome-base/gnome-settings-daemon-2.22.0..
i can't just uncomment the line because then emerge fails saying this:

Code:
These are the packages that would be merged, in order:

Calculating dependencies -!!! Digest verification failed:
!!! /usr/portage/dev-libs/libgweather/libgweather-2.22.0.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 592
!!! Expected: 628

!!! All ebuilds that could satisfy "dev-libs/libgweather" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/libgweather-2.22.0 (masked by: corruption)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


pazz
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Wed Mar 26, 2008 9:08 am    Post subject: Reply with quote

do you use the gnome overlay?
Back to top
View user's profile Send private message
pazz
Apprentice
Apprentice


Joined: 01 Dec 2002
Posts: 283

PostPosted: Wed Mar 26, 2008 9:16 am    Post subject: Reply with quote

i just deleted it, but i did before.
but gnome-settings-manager wasn't in the overlay iirc..
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Wed Mar 26, 2008 9:20 am    Post subject: Reply with quote

I think that if you want gnome-2.22 you will have to use the overlay for now and work your install step by step.

Post here were you get stuck.
Back to top
View user's profile Send private message
pazz
Apprentice
Apprentice


Joined: 01 Dec 2002
Posts: 283

PostPosted: Wed Mar 26, 2008 9:59 am    Post subject: Reply with quote

thanks.
i'm compiling the portage versions by hand.. will report back later
Back to top
View user's profile Send private message
mengzhao
n00b
n00b


Joined: 18 Mar 2004
Posts: 13

PostPosted: Wed Mar 26, 2008 10:12 am    Post subject: Reply with quote

pazz, here is how to overcome the dependency issue:
Code:
emerge  gnome-base/gnome-applets -a
emerge --nodeps <packge_listed_above>


I have mine gnome-everything upgraded to 2.22.0 using the latest portage (except control-center).
Back to top
View user's profile Send private message
Balage
n00b
n00b


Joined: 10 Jan 2008
Posts: 17
Location: Hungary

PostPosted: Wed Mar 26, 2008 12:06 pm    Post subject: Reply with quote

How about gnome-light ebuild. It's still missing from the portage.
Back to top
View user's profile Send private message
EvaSDK
Developer
Developer


Joined: 12 Jul 2003
Posts: 169
Location: France, Paris

PostPosted: Wed Mar 26, 2008 1:28 pm    Post subject: Reply with quote

gnome-light and gnome meta ebuilds won't be added until everything is moved from the overlay.
Back to top
View user's profile Send private message
Leio
Developer
Developer


Joined: 27 Feb 2003
Posts: 183
Location: Estonia, Tallinn

PostPosted: Wed Mar 26, 2008 1:52 pm    Post subject: Reply with quote

Ok, so here's a big reply on some of the stuff in here up to now.

Regarding status updates. http://dev.gentoo.org/~leio/gnome/gnome2.22-new.html - everything relevant goes green, metas get done, upgrade and fresh install tests are done then it gets unmask and we will make our first status update saying "This is now ready for ~arch and it won't cause very big problems to your system, such as all those problems that people have been angry about in the forums for _package.masked things_".

Regarding unmasking to test and report unreported bugs: Until everything is moved from overlay (basically overlay gets empty except metacity-2.23 and gtk+-2.13, which are GNOME-2.24 material already), the people who want to get it now now now on their toying machine (not used for being productive machine) need to use both portage and overlay. The following code gives a list of things that have to be unmasked

Code:
cat "`portageq portdir`/profiles/package.mask" | sed -n '/# The Great GNOME/,/# End of GNOME/p'



Regarding gnome-base/gnome-2.22.0 and gnome-base/gnome-light-2.22.0 meta packages:
Learn to use your tools and especially emerge. emerge --upgrade --deep --verbose --ask gnome (or rather emerge -uDva gnome) will work with 2.20 meta ebuilds too... nothing in the 2.20 meta tells that it's restricted to gnome 2.20 packages. This way you will just not get new modules (cheese and vinagre) forced on you yet, and will have a redundant gnome-keyring-manager still pulled in. That's it. Other than that you can have a full GNOME from that. This is why we do not pay any attention to the metas in the overlay, and therefore none get updated for a new version before everything is in portage and it's almost ready for unmasking. It's just not necessary.


Regarding taking ages to get into the tree:
GNOME-2.22 includes a full rewrite of the virtual filesystem, nautilus is rewritten in that area, lots of other things use it via glib-2.16's GIO now. It has had many problems, starting from not working functionality, and ending with it wiping your $HOME (yes, your home directory) as late as in release candidates when you happen to want to restore something from trash (fixed now..). Are you sure you wanted that in portage as soon as possible? Things are looking very good now, thanks to many cherry-picked patches and testing and we are near to unmasking.
Please note that KDE4 is still hardmasked and will remain so until KDE4.1 comes out in a few months, so I'm not sure where the comparison can be drawn.


So, patience is a virtue and packages likely breaking your system are tried to be kept in p.mask and overlays.
This time around a new GNOME is not in portage immediately on release due to actual big problems with it from upstream (and that's cool, the new virtual filesystem rocks after the bugs are almost worked out by now when we are getting close to 2.22.1), instead of lack of quick work on it from our part, so that's much much better compared to earlier two big releases. Thank you for your understanding and support.
_________________
GNOME team lead; GStreamer
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2, 3 ... 11, 12, 13  Next
Page 1 of 13

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum